This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 23887 - Misdetection of MACH64 video RAM
Misdetection of MACH64 video RAM
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-12 11:07 EST by Stelian Pop
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 14:09:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ddcprobe output (1.44 KB, text/plain)
2001-01-18 07:20 EST, Stelian Pop
no flags Details

  None (edit)
Description Stelian Pop 2001-01-12 11:07:44 EST
Anaconda misdetects the amount of memory present on my video card: 256KB
instead of 8MB.

[root@biwa stelian]# /sbin/lspci 
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x]
(rev 44)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo
MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev
22)
00:07.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 10)
00:07.2 USB Controller: VIA Technologies, Inc. UHCI USB (rev 11)
00:07.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management (rev
30)
00:0a.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100]
(rev 08)
01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage LT Pro
AGP-133 (rev dc)
[root@biwa stelian]# /sbin/lspci -n
00:00.0 Class 0600: 1106:0691 (rev 44)
00:01.0 Class 0604: 1106:8598
00:07.0 Class 0601: 1106:0596 (rev 22)
00:07.1 Class 0101: 1106:0571 (rev 10)
00:07.2 Class 0c03: 1106:3038 (rev 11)
00:07.3 Class 0600: 1106:3050 (rev 30)
00:0a.0 Class 0200: 8086:1229 (rev 08)
01:00.0 Class 0300: 1002:4c42 (rev dc)

Stelian.
Comment 1 Michael Fulbright 2001-01-15 19:47:11 EST
Assigning to a developer.
Comment 2 Brent Fox 2001-01-17 18:16:40 EST
Can you run ddcprobe and send me the output?
Comment 3 Stelian Pop 2001-01-17 18:23:43 EST
Will send you this tomorow morning (Europe TZ), it was a test machine at work,
don't have access to it right now.

Stelian.
Comment 4 Brent Fox 2001-01-17 21:03:31 EST
Is this a laptop?  I'm curious.  I've seen this behavior on other Mach64's, but
they were laptops.  My guess is that the memory that the card is returning is
understating what it should be.  Usually, an 8 Meg card will return results like
128 x 64 for it's memory, which is 8192 kb, or 8 Megs.  However, on some Mach
64's and also some ATI's, the card will report 127 x 64, which is 64k less than
we expected.  I've already added code to check for this condition, so this issue
may already be resolved, but I need the output of ddcprobe to make sure.
Comment 5 Stelian Pop 2001-01-18 07:19:58 EST
Here it comes, the output of ddcprobe.

This is *not* a laptop.

You seem to be right, the card reports 127*64...

Stelian.
Comment 6 Stelian Pop 2001-01-18 07:20:47 EST
Created attachment 7788 [details]
ddcprobe output
Comment 7 Brent Fox 2001-01-18 10:09:51 EST
Great!  This issue has already been fixed.  Resolving as rawhide.
Comment 8 Brock Organ 2001-02-20 14:22:25 EST
abrown@redhat.com verified the fix ...

Note You need to log in before you can comment on or make changes to this bug.